System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.IExtension<System.ServiceModel.ServiceHostBase>

This extension is present only for services hosted in IIS or WAS. Services can determine whether they are hosted in IIS or WAS by retrieving this extension from their , as shown in the following example.

Contains the service's virtual path when the service is hosted in Internet Information Services (IIS) or Windows Process Activation Service (WAS).

- Method
  4.0.0.0
  System.Void `` To be added.

  This method supports the indigo2 infrastructure and is not intended to be called directly from your code.

  This method is provided to support the indigo1 infrastructure.

- Method
  4.0.0.0
  System.Void `` To be added.

  This method supports the indigo2 infrastructure and is not intended to be called directly from your code.

  This method is provided to support the indigo2 infrastructure.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the virtual path used by a service.